// The contents of this file will be executed before any of
// your view controllers are ever executed, including the index.
// You have access to all functionality on the `Alloy` namespace.
//
// This is a great place to do any initialization for your app
// or create any global variables/functions that you'd like to
// make available throughout your app. You can easily make things
// accessible globally by attaching them to the `Alloy.Globals`
// object. For example:
//
// Alloy.Globals.someGlobalFunction = function(){};
Alloy.Globals.PixelsToDPUnits = function(thePixels) {
	return (Ti.Platform.displayCaps.dpi > 160) ? (thePixels / (Ti.Platform.displayCaps.dpi / 160)) : thePixels;
};

Alloy.Globals.DPUnitsToPixels = function(theDPUnits) {
    return (Ti.Platform.displayCaps.dpi > 160) ? (theDPUnits * (Ti.Platform.displayCaps.dpi / 160)) : theDPUnits;
};

Alloy.Globals.ScreenWidth = function(width) {
	return (OS_IOS) ? width : Alloy.Globals.PixelsToDPUnits(width);	
};